Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/orchidee.def_CWRR
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/orchidee.def_CWRR	(revision 2413)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/orchidee.def_CWRR	(revision 2414)
@@ -83,20 +83,4 @@
 STOMATE_OK_CO2 = y
 
-# Prescribed height of vegetation
-# default = 0., 30., 30., 20., 20., 20., 15., 15., 15., .5, .6, 1.0, 1.0
-SLOWPROC_HEIGHT__01 = 0.
-SLOWPROC_HEIGHT__02 = 50.
-SLOWPROC_HEIGHT__03 = 50.
-SLOWPROC_HEIGHT__04 = 30.
-SLOWPROC_HEIGHT__05 = 30.
-SLOWPROC_HEIGHT__06 = 30.
-SLOWPROC_HEIGHT__07 = 20.
-SLOWPROC_HEIGHT__08 = 20.
-SLOWPROC_HEIGHT__09 = 20.
-SLOWPROC_HEIGHT__10 = .2
-SLOWPROC_HEIGHT__11 = .2
-SLOWPROC_HEIGHT__12 = .4
-SLOWPROC_HEIGHT__13 = .4
-
 # Use cdrag coefficient from gcm
 CDRAG_FROM_GCM = y
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/orchidee.def_Choi
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/orchidee.def_Choi	(revision 2413)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/orchidee.def_Choi	(revision 2414)
@@ -83,20 +83,4 @@
 STOMATE_OK_CO2 = y
 
-# Prescribed height of vegetation
-# default = 0., 30., 30., 20., 20., 20., 15., 15., 15., .5, .6, 1.0, 1.0
-SLOWPROC_HEIGHT__01 = 0.
-SLOWPROC_HEIGHT__02 = 50.
-SLOWPROC_HEIGHT__03 = 50.
-SLOWPROC_HEIGHT__04 = 30.
-SLOWPROC_HEIGHT__05 = 30.
-SLOWPROC_HEIGHT__06 = 30.
-SLOWPROC_HEIGHT__07 = 20.
-SLOWPROC_HEIGHT__08 = 20.
-SLOWPROC_HEIGHT__09 = 20.
-SLOWPROC_HEIGHT__10 = .2
-SLOWPROC_HEIGHT__11 = .2
-SLOWPROC_HEIGHT__12 = .4
-SLOWPROC_HEIGHT__13 = .4
-
 # Use cdrag coefficient from gcm
 CDRAG_FROM_GCM = y
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/orchidee.def_CWRR
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/orchidee.def_CWRR	(revision 2413)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/orchidee.def_CWRR	(revision 2414)
@@ -83,20 +83,4 @@
 STOMATE_OK_CO2 = y
 
-# Prescribed height of vegetation
-# default = 0., 30., 30., 20., 20., 20., 15., 15., 15., .5, .6, 1.0, 1.0
-SLOWPROC_HEIGHT__01 = 0.
-SLOWPROC_HEIGHT__02 = 50.
-SLOWPROC_HEIGHT__03 = 50.
-SLOWPROC_HEIGHT__04 = 30.
-SLOWPROC_HEIGHT__05 = 30.
-SLOWPROC_HEIGHT__06 = 30.
-SLOWPROC_HEIGHT__07 = 20.
-SLOWPROC_HEIGHT__08 = 20.
-SLOWPROC_HEIGHT__09 = 20.
-SLOWPROC_HEIGHT__10 = .2
-SLOWPROC_HEIGHT__11 = .2
-SLOWPROC_HEIGHT__12 = .4
-SLOWPROC_HEIGHT__13 = .4
-
 # Use cdrag coefficient from gcm
 CDRAG_FROM_GCM = y
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/orchidee.def_Choi
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/orchidee.def_Choi	(revision 2413)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/orchidee.def_Choi	(revision 2414)
@@ -83,20 +83,4 @@
 STOMATE_OK_CO2 = y
 
-# Prescribed height of vegetation
-# default = 0., 30., 30., 20., 20., 20., 15., 15., 15., .5, .6, 1.0, 1.0
-SLOWPROC_HEIGHT__01 = 0.
-SLOWPROC_HEIGHT__02 = 50.
-SLOWPROC_HEIGHT__03 = 50.
-SLOWPROC_HEIGHT__04 = 30.
-SLOWPROC_HEIGHT__05 = 30.
-SLOWPROC_HEIGHT__06 = 30.
-SLOWPROC_HEIGHT__07 = 20.
-SLOWPROC_HEIGHT__08 = 20.
-SLOWPROC_HEIGHT__09 = 20.
-SLOWPROC_HEIGHT__10 = .2
-SLOWPROC_HEIGHT__11 = .2
-SLOWPROC_HEIGHT__12 = .4
-SLOWPROC_HEIGHT__13 = .4
-
 # Use cdrag coefficient from gcm
 CDRAG_FROM_GCM = y
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_CWRR
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_CWRR	(revision 2413)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_CWRR	(revision 2414)
@@ -83,20 +83,4 @@
 STOMATE_OK_CO2 = y
 
-# Prescribed height of vegetation
-# default = 0., 30., 30., 20., 20., 20., 15., 15., 15., .5, .6, 1.0, 1.0
-SLOWPROC_HEIGHT__01 = 0.
-SLOWPROC_HEIGHT__02 = 50.
-SLOWPROC_HEIGHT__03 = 50.
-SLOWPROC_HEIGHT__04 = 30.
-SLOWPROC_HEIGHT__05 = 30.
-SLOWPROC_HEIGHT__06 = 30.
-SLOWPROC_HEIGHT__07 = 20.
-SLOWPROC_HEIGHT__08 = 20.
-SLOWPROC_HEIGHT__09 = 20.
-SLOWPROC_HEIGHT__10 = .2
-SLOWPROC_HEIGHT__11 = .2
-SLOWPROC_HEIGHT__12 = .4
-SLOWPROC_HEIGHT__13 = .4
-
 # Use cdrag coefficient from gcm
 CDRAG_FROM_GCM = y
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_Choi
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_Choi	(revision 2413)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/PARAM/orchidee.def_Choi	(revision 2414)
@@ -83,20 +83,4 @@
 STOMATE_OK_CO2 = y
 
-# Prescribed height of vegetation
-# default = 0., 30., 30., 20., 20., 20., 15., 15., 15., .5, .6, 1.0, 1.0
-SLOWPROC_HEIGHT__01 = 0.
-SLOWPROC_HEIGHT__02 = 50.
-SLOWPROC_HEIGHT__03 = 50.
-SLOWPROC_HEIGHT__04 = 30.
-SLOWPROC_HEIGHT__05 = 30.
-SLOWPROC_HEIGHT__06 = 30.
-SLOWPROC_HEIGHT__07 = 20.
-SLOWPROC_HEIGHT__08 = 20.
-SLOWPROC_HEIGHT__09 = 20.
-SLOWPROC_HEIGHT__10 = .2
-SLOWPROC_HEIGHT__11 = .2
-SLOWPROC_HEIGHT__12 = .4
-SLOWPROC_HEIGHT__13 = .4
-
 # Use cdrag coefficient from gcm
 CDRAG_FROM_GCM = y