Index: /TOOLS/ConsoGENCMIP6/bin/conso_gencmip6.py
===================================================================
--- /TOOLS/ConsoGENCMIP6/bin/conso_gencmip6.py	(revision 2420)
+++ /TOOLS/ConsoGENCMIP6/bin/conso_gencmip6.py	(revision 2421)
@@ -25,6 +25,6 @@
   try :
     res = subprocess.check_output(command)
-  except Exception as rc :
-    # print(rc)
+  except Exception as rc:
+    print(rc)
     res = None
 
@@ -37,5 +37,7 @@
   command = ["du", "-sbh", dirname]
   try :
-    res = float(subprocess.check_output(command))
+    res = subprocess.check_output(command)
+    res = res.split()[0]
+
   except Exception as rc :
     print(rc)
@@ -65,5 +67,5 @@
       print(rc)
       exit()
-    with open(os.path.join(DIR["DATA"], OUT_CCCMP), "w") as fileout:
+    with open(os.path.join(DIR["DATA"], OUT["CCCMP"]), "w") as fileout:
       fileout.write(res)
 
@@ -259,16 +261,25 @@
       igcm_out = os.path.join(storedir, "IGCM_OUT")
 
-      for dirname in os.listdir(igcm_out):
-        print(dirname, get_dirsize(dirname))
-
+      if not os.path.isdir(igcm_out):
+        break
+
+      dirlist = []
+      try:
+        dirlist = os.listdir(igcm_out)
+      except OSError as rc:
+        print("Error on os.listdir({}):\n{}".format(igcm_out, rc))
+
+      for dirname in dirlist:
         result_str = "{:%Y-%m-%d} {:10s} {:>7s} {:s}\n".format(
                        today,
                        login,
-                       get_dirsize(dirname),
-                       dirname
+                       get_dirsize(os.path.join(igcm_out, dirname)),
+                       os.path.join(igcm_out, dirname)
                      )
-        if args.dryrun:
+
+        if args.dryrun or args.verbose:
           print(result_str.strip())
-        else:
+
+        if not args.dryrun:
           fileout.write(result_str)
 
Index: /TOOLS/ConsoGENCMIP6/bin/gencmip6.py
===================================================================
--- /TOOLS/ConsoGENCMIP6/bin/gencmip6.py	(revision 2420)
+++ /TOOLS/ConsoGENCMIP6/bin/gencmip6.py	(revision 2421)
@@ -6,13 +6,28 @@
 
 # standard library imports
-# from argparse import ArgumentParser
 import socket
 import os
 import os.path
 import glob
+import shutil
 import datetime as dt
 import numpy as np
-# import matplotlib.pyplot as plt
-# from matplotlib.backends.backend_pdf import PdfPages
+
+# Application library imports
+from gencmip6_path import *
+
+
+########################################
+def dods_cp(filein):
+  """
+  """
+  if not DIR["DODS"]:
+    print("DODS directory not defined")
+    return
+
+  fileout = os.path.join(DIR["DODS"], os.path.basename(filein))
+  shutil.copy(filein, fileout)
+
+  return
 
 
Index: OLS/ConsoGENCMIP6/bin/gencmip6_path.py
===================================================================
--- /TOOLS/ConsoGENCMIP6/bin/gencmip6_path.py	(revision 2420)
+++ 	(revision )
@@ -1,38 +1,0 @@
-#!/usr/bin/env python
-# -*- coding: utf-8 -*-
-
-# this must come first
-from __future__ import print_function, unicode_literals, division
-
-# standard library imports
-import os
-# import os.path
-
-# Application library imports
-from gencmip6 import *
-
-
-ROOT_DIR = os.getcwd()
-
-# Common paths
-DIR = {
-  "ROOT": ROOT_DIR,
-  "DATA": os.path.join(ROOT_DIR, "output"),
-  "SAVE": os.path.join(ROOT_DIR, "save"),
-  "PLOT": os.path.join(ROOT_DIR, "plot"),
-}
-
-# Common files
-OUT = {
-  "PARAM": "OUT_CONSO_PARAM",
-  "BILAN": "OUT_CONSO_BILAN",
-  "UTHEO": "OUT_CONSO_UTHEO",
-  "LOGIN": "OUT_CONSO_LOGIN",
-  "STORE": "OUT_CONSO_STORE",
-  "CCCMP": "ccc_myproject.dat"
-}
-
-
-if __name__ == "__main__":
-  print(DIR, )
-  print(OUT, )
Index: /TOOLS/ConsoGENCMIP6/bin/gencmip6_path.py.init
===================================================================
--- /TOOLS/ConsoGENCMIP6/bin/gencmip6_path.py.init	(revision 2420)
+++ /TOOLS/ConsoGENCMIP6/bin/gencmip6_path.py.init	(revision 2421)
@@ -15,4 +15,5 @@
 ROOT_DIR = os.getcwd()
 
+# Common paths
 DIR = {
   "ROOT": ROOT_DIR,
@@ -20,4 +21,15 @@
   "SAVE": os.path.join(ROOT_DIR, "save"),
   "PLOT": os.path.join(ROOT_DIR, "plot"),
+  "DODS": None,
+}
+
+# Common files
+OUT = {
+  "PARAM": "OUT_CONSO_PARAM",
+  "BILAN": "OUT_CONSO_BILAN",
+  "UTHEO": "OUT_CONSO_UTHEO",
+  "LOGIN": "OUT_CONSO_LOGIN",
+  "STORE": "OUT_CONSO_STORE",
+  "CCCMP": "ccc_myproject.dat"
 }
 
@@ -25,3 +37,3 @@
 if __name__ == "__main__":
   print(DIR, )
-2
+  print(OUT, )
Index: /TOOLS/ConsoGENCMIP6/bin/plot_bilan.py
===================================================================
--- /TOOLS/ConsoGENCMIP6/bin/plot_bilan.py	(revision 2420)
+++ /TOOLS/ConsoGENCMIP6/bin/plot_bilan.py	(revision 2421)
@@ -11,6 +11,4 @@
 import datetime as dt
 import numpy as np
-import matplotlib.pyplot as plt
-from matplotlib.backends.backend_pdf import PdfPages
 
 # Application library imports
@@ -252,5 +250,5 @@
   parser = ArgumentParser()
   parser.add_argument("-v", "--verbose", action="store_true",
-                      help="Verbose mode")
+                      help="verbose mode")
   parser.add_argument("-f", "--full", action="store_true",
                       help="plot the whole period")
@@ -263,4 +261,8 @@
   parser.add_argument("-m", "--max", action="store_true",
                       help="plot with y_max = allocation")
+  parser.add_argument("-s", "--show", action="store_true",
+                      help="interactive mode")
+  parser.add_argument("-d", "--dods", action="store_true",
+                      help="copy output on dods")
 
   return parser.parse_args()
@@ -272,13 +274,26 @@
   # .. Initialization ..
   # ====================
+
   # ... Command line arguments ...
   # ------------------------------
   args = get_arguments()
 
+  # ... Turn interactive mode off ...
+  # ---------------------------------
+  if not args.show:
+    import matplotlib
+    matplotlib.use('Agg')
+
+  import matplotlib.pyplot as plt
+  from matplotlib.backends.backend_pdf import PdfPages
+
+  if not args.show:
+    plt.ioff()
+
   # ... Files and directories ...
   # -----------------------------
-  file_param = get_last_file(DIR["DATA"], OUT["PARAM"])
-  file_utheo = get_last_file(DIR["DATA"], OUT["UTHEO"])
-  file_bilan = get_last_file(DIR["DATA"], OUT["BILAN"])
+  file_param = get_last_file(DIR["SAVE"], OUT["PARAM"])
+  file_utheo = get_last_file(DIR["SAVE"], OUT["UTHEO"])
+  file_bilan = get_last_file(DIR["SAVE"], OUT["BILAN"])
   img_name = "bilan.pdf"
 
@@ -373,3 +388,9 @@
   plot_save(os.path.join(DIR["PLOT"], img_name))
 
-  plt.show()
+  # ... Publish figure on dods ...
+  # ------------------------------
+  if args.dods:
+    dods_cp(os.path.join(DIR["PLOT"], img_name))
+
+  if args.show:
+    plt.show()