Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card	(revision 2445)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card	(revision 2446)
@@ -77,5 +77,5 @@
 [Post_1M_grid_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (sohefldo, soicecov, somixhgt, somxl010, sosaline, soshfldo, sossheig, sosstsst, sowaflup, sowindsp)
 ChunckJob2D = NONE
@@ -86,5 +86,5 @@
 [Post_1M_grid_U]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
+GatherWithInternal = (nav_lon, nav_lat, depthu, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (sozotaux)
 ChunckJob2D = NONE
@@ -95,5 +95,5 @@
 [Post_1M_grid_V]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
+GatherWithInternal = (nav_lon, nav_lat, depthv, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (sometauy)
 ChunckJob2D = NONE
@@ -104,5 +104,5 @@
 [Post_1M_grid_W]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
+GatherWithInternal = (nav_lon, nav_lat, depthw, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (soleaeiw, soleahtw)
 ChunckJob2D = NONE
@@ -114,5 +114,5 @@
 Patches = ()
 GatherWithInternal = (nav_lat, time_counter, deptht, time_counter_bounds)
-TimeSeriesVars2D = (zotemglo, zosalglo, zomsfglo, zotematl, zosalatl, zomsfatl, zotempac, zosalpac, zomsfpac, zotemind, zosalind, zomsfind, zotemipc, zosalipc, zomsfipc, sohtatl, sostatl, sohtpac, sostpac, sohtind, sostind, sohtipc, sostipc, sophtadv, sophtove, sophtldf, sopstadv, sopstove, zomsfeiv, sophteiv, sopsteiv)
+TimeSeriesVars2D = (zotemglo, zosalglo, zomsfglo, zotematl, zosalatl, zomsfatl, zotempac, zosalpac, zomsfpac, zotemind, zosalind, zomsfind, zotemipc, zosalipc, zomsfipc, sophtadv, sophtldf, sopstadv)
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()
@@ -124,5 +124,5 @@
 [Post_1D_grid_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (sosstsst)
 ChunckJob2D = 200Y
@@ -133,5 +133,5 @@
 [Post_1D_grid_U]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
+GatherWithInternal = (nav_lon, nav_lat, depthu, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = 200Y
@@ -142,5 +142,5 @@
 [Post_1D_grid_V]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
+GatherWithInternal = (nav_lon, nav_lat, depthv, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = 200Y
@@ -162,5 +162,5 @@
 [Post_1Y_grid_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (evs, ficeberg, friver, fsitherm, hfcorr, hfevapds, hfibthermds, hfrainds, hfrunoffds, hfsithermds, hfsnthermds, nshfls, omlmax, pbo, pr, prsn, sfdsi, so20chgt, so28chgt, sohefldo, sohtc300, soicecov, somixhgt, somxl010, sosaline, soshfldo, sossheig, sosstsst, sotaumod, sowaflcd, sowaflup, sowindsp, tossq, vsfsit, wfcorr, zossq)
 ChunckJob2D = NONE
@@ -171,5 +171,5 @@
 [Post_1Y_grid_U]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
+GatherWithInternal = (nav_lon, nav_lat, depthu, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (hfx, hfxba, hfxdiff, sozotaux)
 ChunckJob2D = NONE
@@ -180,5 +180,5 @@
 [Post_1Y_grid_V]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
+GatherWithInternal = (nav_lon, nav_lat, depthv, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (hfy, hfyba, hfydiff, sometauy)
 ChunckJob2D = NONE
@@ -189,5 +189,5 @@
 [Post_1Y_grid_W]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
+GatherWithInternal = (nav_lon, nav_lat, depthw, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (soleaeiw, soleahtw)
 ChunckJob2D = NONE
@@ -198,8 +198,8 @@
 [Post_1Y_diaptr]
 Patches = ()
-GatherWithInternal = (nav_lat, time_counter, time_counter_bounds)
-TimeSeriesVars2D = (zotemglo, zosalglo, zomsfglo, zotematl, zosalatl, zomsfatl, zotempac, zosalpac, zomsfpac, zotemind, zosalind, zomsfind, zotemipc, zosalipc, zomsfipc, sohtatl, sostatl, sohtpac, sostpac, sohtind, sostind, sohtipc, sostipc, sophtadv, sophtove, sophtldf, sopstadv, sopstove, zomsfeiv, sophteiv, sopsteiv)
-ChunckJob2D = NONE
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-Seasonal=OFF
+GatherWithInternal = (nav_lat, time_counter, deptht, time_counter_bounds)
+TimeSeriesVars2D = (zotemglo, zosalglo, zomsfglo, zotematl, zosalatl, zomsfatl, zotempac, zosalpac, zomsfpac, zotemind, zosalind, zomsfind, zotemipc, zosalipc, zomsfipc, sophtadv, sophtldf, sopstadv)
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card	(revision 2445)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card	(revision 2446)
@@ -47,5 +47,5 @@
 [Post_1M_ptrc_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = OFF
@@ -56,5 +56,5 @@
 [Post_1M_diad_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (Cflx, Dpco2, Dpo2, EPC100, EPCAL100, EPFE100, EPSI100, Heup, Irondep, Kg, Nfix, Oflx)
 ChunckJob2D = NONE
@@ -65,5 +65,5 @@
 [Post_1M_dbio_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (INTDIC, INTNFIX, INTPBFE, INTPBSI, INTPCAL, INTPNEW, INTPP, INTPPPHY, INTPPPHY2, O2MIN, ZO2MIN )
 ChunckJob2D = NONE