Index: TOOLS/ConsoGENCMIP6/bin/plot_bilan.py
===================================================================
--- TOOLS/ConsoGENCMIP6/bin/plot_bilan.py	(revision 2445)
+++ TOOLS/ConsoGENCMIP6/bin/plot_bilan.py	(revision 2448)
@@ -279,7 +279,7 @@
   ax_conso.set_yticks(yticks)
 
-  ax_theo.spines["right"].set_color("indianred")
-  ax_theo.tick_params(colors="indianred")
-  ax_theo.yaxis.label.set_color("indianred")
+  ax_theo.spines["right"].set_color("firebrick")
+  ax_theo.tick_params(colors="firebrick")
+  ax_theo.yaxis.label.set_color("firebrick")
 
   ax_conso.axhline(y=conso_per_day, color="blue", alpha=0.5,
Index: TOOLS/ConsoGENCMIP6/bin/plot_bilan_jobs.py
===================================================================
--- TOOLS/ConsoGENCMIP6/bin/plot_bilan_jobs.py	(revision 2445)
+++ TOOLS/ConsoGENCMIP6/bin/plot_bilan_jobs.py	(revision 2448)
@@ -219,9 +219,9 @@
                linewidth=1, markersize=8,
                solid_capstyle="round", solid_joinstyle="round",
-               label="conso thÃ©orique (%)")
+               label="conso\nthÃ©orique (%)")
   ax_theo.plot(xcoord, real_uses, line_style, color="forestgreen",
                linewidth=1, markersize=8,
                solid_capstyle="round", solid_joinstyle="round",
-               label="conso rÃ©elle (%)")
+               label="conso\nrÃ©elle (%)")
 
   line_width = 0.
@@ -234,5 +234,5 @@
   ax_jobs.bar(xcoord, pen_mean, bottom=run_mean, width=width, align="center",
               # yerr=pen_std/2, ecolor="darkred",
-              color="indianred", linewidth=line_width, antialiased=True,
+              color="firebrick", linewidth=line_width, antialiased=True,
               label="jobs pending")
 
@@ -245,12 +245,31 @@
   # -------------------
   # 1) Range
-  # if args.max:
-  #   ymax = gencmip6.alloc
-  # else:
-  #   ymax = np.nanmax(consos) + np.nanmax(consos)*.1
+  conso_max = np.nanmax(consos)
+  if args.max:
+    ymax = conso_max  # + conso_max*.1
+  else:
+    ymax = 2. * conso_per_day
+
+  if conso_max > ymax:
+    ax_conso.annotate(
+      "{:.2e} heures".format(conso_max),
+      ha="left",
+      va="top",
+      fontsize="xx-small",
+      bbox=dict(boxstyle="round", fc="w", ec="0.5", color="gray",),
+      xy=(np.nanargmax(consos)+1.2, ymax*0.9),
+      textcoords="axes fraction",
+      xytext=(0.01, 0.8),
+      arrowprops=dict(
+        arrowstyle="->",
+        shrinkA=0,
+        shrinkB=0,
+        color="gray",
+      ),
+    )
 
   xmin, xmax = xcoord[0]-1, xcoord[-1]+1
   ax_conso.set_xlim(xmin, xmax)
-  # ax_conso.set_ylim(0., ymax)
+  ax_conso.set_ylim(0., ymax)
   ax_theo.set_ylim(0., 100)
 
@@ -283,4 +302,8 @@
     ax.axhline(y=y, color="blue", alpha=0.5,
                label="conso journaliÃšre\nidÃ©ale ({})".format(label))
+
+  ax_theo.spines["right"].set_color("firebrick")
+  ax_theo.tick_params(colors="firebrick")
+  ax_theo.yaxis.label.set_color("firebrick")
 
   for x, d in zip(xcoord, dates):
@@ -458,9 +481,10 @@
   # ... Tweak figure ...
   # --------------------
-  title = "Consommation {}\n({:%d/%m/%Y} - {:%d/%m/%Y})".format(
-    gencmip6.project.upper(),
-    gencmip6.date_init,
-    gencmip6.deadline
-  )
+  title = "{} : Conso globale et suivi des jobs " \
+          "(moyenne journaliÃšre)\n({:%d/%m/%Y} - {:%d/%m/%Y})".format(
+            gencmip6.project.upper(),
+            gencmip6.date_init,
+            gencmip6.deadline
+          )
 
   plot_config(fig, ax_conso, ax_theo, xcoord, dates, title, conso_per_day)
Index: TOOLS/ConsoGENCMIP6/bin/plot_jobs.py
===================================================================
--- TOOLS/ConsoGENCMIP6/bin/plot_jobs.py	(revision 2445)
+++ TOOLS/ConsoGENCMIP6/bin/plot_jobs.py	(revision 2448)
@@ -197,5 +197,5 @@
   ax.bar(xcoord, pen_jobs, bottom=run_jobs, width=width,
          linewidth=line_width, align="center",
-         color="indianred", antialiased=True,
+         color="firebrick", antialiased=True,
          label="jobs pending")
 