Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card	(revision 2451)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card	(revision 2454)
@@ -6,4 +6,8 @@
 # Set climatological to choose if the simulation will use online 10m wind (=y) or offline (=n)
 climatological=n
+# Set Wind_method to choose which way we will use to work with 10m wind from gcm (so if climatological=y)
+#wind_method=weibull10 --> use weibull method for 10m wind from gcm,
+#wind_method=threshold --> use threshold method for 10m wind from gcm
+wind_method=weibull10
 # Set climatological to choose the write_frequency for inca output (inca_avgr, forcage, inca_inst)
 # 86400 = daily output
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/DUST/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/DUST/COMP/inca.card	(revision 2451)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/DUST/COMP/inca.card	(revision 2454)
@@ -6,4 +6,8 @@
 # Set climatological to choose if the simulation will use online 10m wind (=y) or offline (=n)
 climatological=n
+# Set Wind_method to choose which way we will use to work with 10m wind from gcm (so if climatological=y)
+#wind_method=weibull10 --> use weibull method for 10m wind from gcm,
+#wind_method=threshold --> use threshold method for 10m wind from gcm
+wind_method=weibull10
 # Set climatological to choose the write_frequency for inca output (inca_avgr, forcage, inca_inst)
 # 86400 = daily output
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/GES/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/GES/COMP/inca.card	(revision 2451)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/GES/COMP/inca.card	(revision 2454)
@@ -6,4 +6,8 @@
 # Set climatological to choose if the simulation will use online 10m wind (=y) or offline (=n)
 climatological=n
+# Set Wind_method to choose which way we will use to work with 10m wind from gcm (so if climatological=y)
+#wind_method=weibull10 --> use weibull method for 10m wind from gcm,
+#wind_method=threshold --> use threshold method for 10m wind from gcm
+wind_method=weibull10
 # Set climatological to choose the write_frequency for inca output (inca_avgr, forcage, inca_inst)
 # 86400 = daily output
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card	(revision 2451)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card	(revision 2454)
@@ -6,4 +6,8 @@
 # Set climatological to choose if the simulation will use online 10m wind (=y) or offline (=n)
 climatological=n
+# Set Wind_method to choose which way we will use to work with 10m wind from gcm (so if climatological=y)
+#wind_method=weibull10 --> use weibull method for 10m wind from gcm,
+#wind_method=threshold --> use threshold method for 10m wind from gcm
+wind_method=weibull10
 # Set climatological to choose the write_frequency for inca output (inca_avgr, forcage, inca_inst)
 # 86400 = daily output
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/DRIVER/inca.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/DRIVER/inca.driver	(revision 2451)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/DRIVER/inca.driver	(revision 2454)
@@ -96,4 +96,10 @@
 
 
+    if [  X${inca_UserChoices_wind_method} = X ] ; then
+    IGCM_comp_modifyDefFile nonblocker inca.def  wind_method  threshold
+    else
+    IGCM_comp_modifyDefFile nonblocker inca.def  wind_method ${inca_UserChoices_wind_method}
+    fi
+
     if [ X${inca_UserChoices_XIOS}  = Xy ] ; then
     # Add include of INCA context in iodef.xml
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/inca.def
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/inca.def	(revision 2451)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6/GENERAL/PARAM/inca.def	(revision 2454)
@@ -4,4 +4,7 @@
 #climatological=y --> use 10m wind from LMDZ, =n --> use 10m wind from output file
 climatological=_AUTO_
+#wind_method=weibull10 --> use weibull method for 10m wind from gcm,
+#wind_method=threshold --> use threshold method for 10m wind from gcm
+wind_method=_AUTO_
 #freq_write_chem --> write frequency for inca_inst and inca_avgr (86400 = 1/day)
 freq_write_chem=_AUTO_