Index: TOOLS/ConsoGENCMIP6/bin/plot_bilan.py
===================================================================
--- TOOLS/ConsoGENCMIP6/bin/plot_bilan.py	(revision 2448)
+++ TOOLS/ConsoGENCMIP6/bin/plot_bilan.py	(revision 2460)
@@ -13,6 +13,5 @@
 
 # Application library imports
-from gencmip6 import *
-from gencmip6_path import *
+from libconso import *
 
 
@@ -204,22 +203,31 @@
     line_width = 0.1
 
-  ax_conso.bar(xcoord, consos, width=1, align="center", color="linen",
-               linewidth=line_width, label="conso (heures)")
-
-  ax_theo.plot(xcoord, theo_equs, "--",
-               color="firebrick", linewidth=0.5,
-               solid_capstyle="round", solid_joinstyle="round")
-  ax_theo.plot(xcoord, theo_uses, line_style, color="firebrick",
-               linewidth=1, markersize=8,
-               solid_capstyle="round", solid_joinstyle="round",
-               label="conso\nthÃ©orique (%)")
-  ax_theo.plot(xcoord, real_uses, line_style, color="forestgreen",
-               linewidth=1, markersize=8,
-               solid_capstyle="round", solid_joinstyle="round",
-               label="conso\nrÃ©elle (%)")
-
-
-########################################
-def plot_config(fig, ax_conso, ax_theo, xcoord, dates, title, conso_per_day):
+  ax_conso.bar(
+    xcoord, consos, width=1, align="center", color="linen",
+    linewidth=line_width, label="conso (heures)"
+  )
+
+  ax_theo.plot(
+    xcoord, theo_equs, "--",
+    color="firebrick", linewidth=0.5,
+    solid_capstyle="round", solid_joinstyle="round"
+  )
+  ax_theo.plot(
+    xcoord, theo_uses, line_style, color="firebrick",
+    linewidth=1, markersize=8,
+    solid_capstyle="round", solid_joinstyle="round",
+    label="conso\nthÃ©orique (%)"
+  )
+  ax_theo.plot(
+    xcoord, real_uses, line_style, color="forestgreen",
+    linewidth=1, markersize=8,
+    solid_capstyle="round", solid_joinstyle="round",
+    label="conso\nrÃ©elle (%)"
+  )
+
+
+########################################
+def plot_config(fig, ax_conso, ax_theo, xcoord, dates, title,
+                conso_per_day):
   """
   """
@@ -273,5 +281,7 @@
   ax_conso.set_xticks(xcoord, minor=True)
   ax_conso.set_xticks(maj_xticks, minor=False)
-  ax_conso.set_xticklabels(maj_xlabs, rotation="vertical", size="x-small")
+  ax_conso.set_xticklabels(
+    maj_xlabs, rotation="vertical", size="x-small"
+  )
 
   yticks = list(ax_conso.get_yticks())
@@ -365,4 +375,6 @@
   # ... Files and directories ...
   # -----------------------------
+  project_name, DIR, OUT = parse_config("bin/config.ini")
+
   (file_param, file_utheo, file_data) = \
       get_input_files(DIR["SAVEDATA"],
@@ -381,7 +393,7 @@
   # .. Get project info ..
   # ======================
-  gencmip6 = Project()
-  gencmip6.fill_data(file_param)
-  gencmip6.get_date_init(file_utheo)
+  projet = Project()
+  projet.fill_data(file_param)
+  projet.get_date_init(file_utheo)
 
   # .. Fill in data ..
@@ -390,5 +402,5 @@
   # ----------------------
   bilan = DataDict()
-  bilan.init_range(gencmip6.date_init, gencmip6.deadline)
+  bilan.init_range(projet.date_init, projet.deadline)
   # ... Extract data from file ...
   # ------------------------------
@@ -423,5 +435,5 @@
   consos    = np.array(consos, dtype=float)
 
-  conso_per_day = gencmip6.alloc / gencmip6.days
+  conso_per_day = projet.alloc / projet.days
 
   theo_uses = np.array([100.*item.theo_use for item in selected_items],
@@ -456,10 +468,12 @@
   # --------------------
   title = "Consommation {}\n({:%d/%m/%Y} - {:%d/%m/%Y})".format(
-    gencmip6.project.upper(),
-    gencmip6.date_init,
-    gencmip6.deadline
-  )
-
-  plot_config(fig, ax_conso, ax_theo, xcoord, dates, title, conso_per_day)
+    projet.project.upper(),
+    projet.date_init,
+    projet.deadline
+  )
+
+  plot_config(
+    fig, ax_conso, ax_theo, xcoord, dates, title, conso_per_day
+  )
 
   # ... Save figure ...
@@ -469,10 +483,10 @@
                          "{}_{}.pdf".format(img_name, today))
 
-  plot_save(img_in, img_out, title)
+  plot_save(img_in, img_out, title, DIR)
 
   # ... Publish figure on dods ...
   # ------------------------------
   if args.dods:
-    dods_cp(img_in)
+    dods_cp(img_in, DIR)
 
   if args.show: