Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2495)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 2501)
@@ -138,5 +138,5 @@
 [Post_1M_histmth]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, ftime_con, ftime_th, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, LWupTOA, LWupTOAclr, precip, prw, pluc, psol, q2m, rh2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, t2m_max, t2m_min, taux, taux_ter, taux_sic, taux_lic, taux_oce, tauy, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, mc, nettop, paprs, pbase, ptop, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic, wind10m, od550aer, od550lt1aer, absvisaer, loadoa, loadbc, loadso4, loaddust, loadss, sconcoa, sconcbc, sconcso4, sconcdust, sconcss, reffclwtop, cldncl)
 ChunckJob2D = NONE
@@ -147,5 +147,5 @@
 [Post_1M_histmthCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE 
@@ -156,5 +156,5 @@
 [Post_1M_histmthNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -165,5 +165,5 @@
 [Post_1M_dynzon]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -174,5 +174,5 @@
 [Post_1D_histday]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, iwp, lwp, phi500, precip, pluc, plul, prw, psol, rh2m, rh2m_min, rh2m_max, q2m, sens, sicf, slp, soll, sols, LWdnSFC, SWdnSFC, LWupSFCclr,SWupSFC, t2m, t2m_max, t2m_min, topl, tops, tsol, u10m, v10m, wind10m, wind10max, u850, v850, w850, phi850, q850, t850, u700, v700, w700, phi700, q700, t700, u500, v500, w500, phi500, q500, t500, u200, v200, w200, phi200, q200, t200)
 ChunckJob2D = 200Y
@@ -183,5 +183,5 @@
 [Post_1D_histdayCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE 
@@ -192,5 +192,5 @@
 [Post_1D_histdayNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -201,5 +201,5 @@
 [Post_HF_histhf]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (cldt, psol, q2m, slp, SWnetOR, SWdownOR, LWdownOR, precip, pluc, plul, t2m, tsol, u10m, v10m, t850, t700, t500, t200, t50, t10, u850, u700, u500, u200, u50, u10, v850, v700, v500, v200, v50, v10, phi850, phi700, phi200, phi50, phi10, w850, w700, w500, w200, w50, w10, q850, q700, q500, q200, q50, q10)
 ChunckJob2D = 50Y
@@ -210,5 +210,5 @@
 [Post_HF_histhfCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE 
@@ -219,5 +219,5 @@
 [Post_HF_histhfNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -228,5 +228,5 @@
 [Post_3H_histhf3h]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (phis, tsol, t2m, q2m, u10m, v10m, psol, topl, bils, cdrh)
 ChunckJob2D = 50Y
@@ -237,5 +237,5 @@
 [Post_3H_histhf3hm]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (precip, flat, sens, LWdnSFC, LWupSFC, SWdnSFC, SWupSFC, pluc, snow, LWdnSFCclr, SWdnSFCclr, LWupSFCclr, cldt)
 ChunckJob2D = 50Y
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 2495)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 2501)
@@ -49,5 +49,5 @@
 [Post_1M_sechiba_history]
 Patches= ()
-GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bnds, Areas, Contfrac)
+GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bounds, Areas, Contfrac)
 TimeSeriesVars2D= (nobiofrac, alb_nir, alb_vis, bqsb, evap, fluxlat, fluxsens, gqsb, netrad, qair, rain, runoff, snow, snownobio, snowf, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac)
 ChunckJob2D= NONE
@@ -58,5 +58,5 @@
 [Post_HF_sechiba_out_2]
 Patches= ()
-GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bnds, Areas, Contfrac)
+GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bounds, Areas, Contfrac)
 TimeSeriesVars2D= (mrsos, mrro)
 ChunckJob2D= 50Y
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/stomate.card	(revision 2495)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/COMP/stomate.card	(revision 2501)
@@ -31,5 +31,5 @@
 [Post_1M_stomate_history]
 Patches= ()
-GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bnds, Areas)
+GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bounds, Areas)
 TimeSeriesVars2D= (T2M_MONTH,CONTFRAC,RESOLUTION_X,RESOLUTION_Y,CONVFLUX,CFLUX_PROD10,CFLUX_PROD100,HARVEST_ABOVE)
 ChunckJob2D = NONE
@@ -40,5 +40,5 @@
 [Post_1M_stomate_ipcc_history]
 Patches= ()
-GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bnds, Areas, CONTFRAC)
+GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bounds, Areas, CONTFRAC)
 TimeSeriesVars2D=(cVeg, cLitter, cSoil, cProduct, lai, gpp, ra, npp, rh, fFire, fHarvest, fLuc, nbp, fVegLitter, fLitterSoil, cLeaf, cWood, cRoot, cMisc, cLitterAbove, cLitterBelow, cSoilFast, cSoilMedium, cSoilSlow, landCoverFrac, treeFracPrimDec, treeFracPrimEver, c3PftFrac, c4PftFrac, rGrowth, rMaint, nppLeaf, nppWood, nppRoot, nep)
 ChunckJob2D = NONE
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2495)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/lmdz.card	(revision 2501)
@@ -133,5 +133,5 @@
 [Post_1M_histmth]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, ftime_con, ftime_th, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, LWupTOA, LWupTOAclr, precip, prw, pluc, psol, q2m, rh2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, t2m_max, t2m_min, taux, taux_ter, taux_sic, taux_lic, taux_oce, tauy, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, mc, nettop, paprs, pbase, ptop, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic, wind10m, od550aer, od550lt1aer, absvisaer, loadoa, loadbc, loadso4, loaddust, loadss, sconcoa, sconcbc, sconcso4, sconcdust, sconcss, reffclwtop, cldncl)
 ChunckJob2D = NONE
@@ -142,5 +142,5 @@
 [Post_1M_histmthCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE 
@@ -151,5 +151,5 @@
 [Post_1M_histmthNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -160,5 +160,5 @@
 [Post_1M_dynzon]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -169,5 +169,5 @@
 [Post_1D_histday]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, iwp, lwp, phi500, precip, pluc, plul, prw, psol, rh2m, rh2m_min, rh2m_max, q2m, sens, sicf, slp, soll, sols, LWdnSFC, SWdnSFC, LWupSFCclr,SWupSFC, t2m, t2m_max, t2m_min, topl, tops, tsol, u10m, v10m, wind10m, wind10max, u850, v850, w850, phi850, q850, t850, u700, v700, w700, phi700, q700, t700, u500, v500, w500, phi500, q500, t500, u200, v200, w200, phi200, q200, t200)
 ChunckJob2D = 200Y
@@ -178,5 +178,5 @@
 [Post_1D_histdayCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE 
@@ -187,5 +187,5 @@
 [Post_1D_histdayNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -196,5 +196,5 @@
 [Post_HF_histhf]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (cldt, psol, q2m, slp, SWnetOR, SWdownOR, LWdownOR, precip, pluc, plul, t2m, tsol, u10m, v10m, t850, t700, t500, t200, t50, t10, u850, u700, u500, u200, u50, u10, v850, v700, v500, v200, v50, v10, phi850, phi700, phi200, phi50, phi10, w850, w700, w500, w200, w50, w10, q850, q700, q500, q200, q50, q10)
 ChunckJob2D = 50Y
@@ -205,5 +205,5 @@
 [Post_HF_histhfCOSP]
 Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds, aire)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE 
@@ -214,5 +214,5 @@
 [Post_HF_histhfNMC]
 Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -223,5 +223,5 @@
 [Post_3H_histhf3h]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (phis, tsol, t2m, q2m, u10m, v10m, psol, topl, bils, cdrh)
 ChunckJob2D = 50Y
@@ -232,5 +232,5 @@
 [Post_3H_histhf3hm]
 Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bounds)
 TimeSeriesVars2D = (precip, flat, sens, LWdnSFC, LWupSFC, SWdnSFC, SWupSFC, pluc, snow, LWdnSFCclr, SWdnSFCclr, LWupSFCclr, cldt)
 ChunckJob2D = 50Y
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/orchidee.card	(revision 2495)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/orchidee.card	(revision 2501)
@@ -49,5 +49,5 @@
 [Post_1M_sechiba_history]
 Patches= ()
-GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bnds, Areas, Contfrac)
+GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bounds, Areas, Contfrac)
 TimeSeriesVars2D= (nobiofrac, alb_nir, alb_vis, bqsb, evap, fluxlat, fluxsens, gqsb, netrad, qair, rain, runoff, snow, snownobio, snowf, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac)
 ChunckJob2D= NONE
@@ -58,5 +58,5 @@
 [Post_HF_sechiba_out_2]
 Patches= ()
-GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bnds, Areas, Contfrac)
+GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bounds, Areas, Contfrac)
 TimeSeriesVars2D= (mrsos, mrro)
 ChunckJob2D= 50Y
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/stomate.card	(revision 2495)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim/COMP/stomate.card	(revision 2501)
@@ -31,5 +31,5 @@
 [Post_1M_stomate_history]
 Patches= ()
-GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bnds, Areas)
+GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bounds, Areas)
 TimeSeriesVars2D= (T2M_MONTH,CONTFRAC,RESOLUTION_X,RESOLUTION_Y,CONVFLUX,CFLUX_PROD10,CFLUX_PROD100,HARVEST_ABOVE)
 ChunckJob2D = NONE
@@ -40,5 +40,5 @@
 [Post_1M_stomate_ipcc_history]
 Patches= ()
-GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bnds, Areas, CONTFRAC)
+GatherWithInternal= (lon, lat, PFT, time_counter, time_counter_bounds, Areas, CONTFRAC)
 TimeSeriesVars2D=(cVeg, cLitter, cSoil, cProduct, lai, gpp, ra, npp, rh, fFire, fHarvest, fLuc, nbp, fVegLitter, fLitterSoil, cLeaf, cWood, cRoot, cMisc, cLitterAbove, cLitterBelow, cSoilFast, cSoilMedium, cSoilSlow, landCoverFrac, treeFracPrimDec, treeFracPrimEver, c3PftFrac, c4PftFrac, rGrowth, rMaint, nppLeaf, nppWood, nppRoot, nep)
 ChunckJob2D = NONE